Page MenuHomePhabricator

Code splitting: document usage
Closed, ResolvedPublic1 Estimated Story Points

Description

Once T350054 is complete and basic code splitting is ready for use, we need to document how to use it.

Documentation

Since this is specific to using Codex in MediaWiki, the documentation should live on the Codex page on mediawiki.org. Docs should include:

  • How to create a Codex subset in skin.json/extension.json (be sure to include requiring Vue as a dependency, since this used to be included via @wikimedia/codex)
  • How to create a style- or script-only module
  • How to import components from the generated virtual file
  • Accommodations for test code (e.g. Jest config)

(Note that the above list is subject to change as the patch for T350054 changes.)

We should also finalize this merge request to implement code splitting in CodexExample, so we can use it as a reference.

Acceptance criteria

  • Update the Codex page on mediawiki.org to include instructions and examples for implementing code splitting
  • Update and merge the MR in CodexExample so we can link to CodexExample in the docs

Event Timeline

AnneT set the point value for this task to 2.
AnneT renamed this task from Code splitting: document and announce usage to Code splitting: document usage.Nov 29 2023, 7:20 PM
AnneT updated the task description. (Show Details)
AnneT changed the task status from Open to In Progress.Dec 5 2023, 5:03 PM
AnneT updated the task description. (Show Details)

I've drafted an update to the Codex page, which can be moved to the Codex page and published once T351753 is resolved. We shouldn't post usage docs until that task is completed, released, and resolved to prevent CSS specificity issues in production.

AnneT triaged this task as High priority.Jan 8 2024, 6:21 PM
AnneT changed the point value for this task from 2 to 1.